GNU Radio's SATELLITES Package

gr::satellites::decode_rs Class Reference

<+description of block+> More...

`#include <decode_rs.h>`

Inheritance diagram for gr::satellites::decode_rs:
[legend]

## Public Types
typedef boost::shared_ptr< decode_rs > | sptr

## Static Public Member Functions
static sptr | make (int dual_basis, int interleave)
| Return a shared_ptr to a new instance of satellites::decode_rs.
static sptr | make (int symsize, int gfpoly, int fcr, int prim, int nroots, int interleave)

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<decode_rs> gr::satellites::decode_rs::sptr

## Member Function Documentation

## ◆ make() [1/2]

sptr gr::satellites::decode_rs::make | ( | int | dual_basis,
|  | int | interleave )
| static

Return a shared_ptr to a new instance of satellites::decode_rs.

To avoid accidental use of raw pointers, satellites::decode_rs's constructor is in a private implementation class. satellites::decode_rs::make is the public interface for creating new instances.

## ◆ make() [2/2]

sptr gr::satellites::decode_rs::make | ( | int | symsize,
|  | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | int | interleave )
| static

References fcr, nroots, and prim.

The documentation for this class was generated from the following file:

- include/satellites/decode_rs.h